#ifndef SETTINGS_H
#define SETTINGS_H

#include "configdialog.h"

namespace Ui {
	class Settings;
}

class Settings : public ConfigDialog {
	Q_OBJECT

public:
	explicit Settings(Config& conf, QWidget *parent = nullptr);
	~Settings();

private slots:
	void selectAudioPath();
	void masterVolumeChange(int val);

private:
	Ui::Settings *ui;

	void setAudioPath();

	virtual QDialogButtonBox* getButtonBox() override;
};

#endif // SETTINGS_H
