#include "keysequencevalidator.h"

#include <QKeySequence>

KeysequenceValidator::KeysequenceValidator(QObject * parent) : QValidator(parent) {}
KeysequenceValidator::~KeysequenceValidator() {}

QValidator::State KeysequenceValidator::validate(QString& str, [[maybe_unused]] int& pos) const {
	QKeySequence seq(str);
	return (seq.toString().isEmpty() && !str.isEmpty()) ? State::Intermediate : State::Acceptable;
}
